Subject: Re: bug#25851: 25.2; GTK warning when starting Emacs when desktop file has more than one frame

From: martin rudalics <[email-masked]>
Date: Fri, 03 Mar 2017 15:24:02 +0100

> I've tried closing and restarting Emacs with various frame /
 > window configurations (including "full screen" frames with the
 > title bar hidden), and the desktops restore just fine [1]. And
 > restoring / maximizing frames using the window decorations works
 > fine too.

Same here.  One thing that doesn't work are negative offsets like in
emacs -Q -g 80x40-20-20.  That's easy to fix elsewhere.  If you don't
mind, continue using it for a while; maybe you detect something strange.

 > [1] As has been happening for a while, buffers seem to be assigned
 > randomly (it seems) to the windows restored from the desktop file;
 > I'm still convinced that in the past on starting Emacs the windows
 > restored from the desktop file used to come up with the same
 > buffer in them as they had when the desktop file was saved.

It would be nice if you were able to bisect that "while".  The idea is
obviously that windows come up with their original buffers restored.

martin